/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _SC_FONTSETTINGS_H
#define _SC_FONTSETTINGS_H

// sc
#include "util/String.h"

// qt
#include <QtGui/QFont>


class FontSettings
{
public:
  virtual ~FontSettings(){}

  virtual QFont getGeneralFont() = 0;
  virtual void setGeneralFont( const QFont& ) = 0;

  virtual QFont getEditorFont() = 0;
  virtual void setEditorFont( const QFont& ) = 0;
};

#endif // _SC_FONTSETTINGS_H
